Subject: bug#6151: mystery arguments of define-minor-mode + describe-function

From: Lennart Borgman <[email-masked]>
Date: Mon, 10 May 2010 13:39:06 +0200

On Mon, May 10, 2010 at 12:45 PM, Juanma Barranquero <[email-masked]> wrote:
> On Mon, May 10, 2010 at 12:02,  <[email-masked]> wrote:
>
>> Some describe-function results add a mystery argument ARG, not visible
>> in the corresponding lisp code.
>>
>> Or maybe it is visible, but not to your average reader.
>
> Among other things, `define-minor-mode' defines a function, in this
> case longlines-mode; and that function, like all minor modes, has an
> arg to turn it on or off. So it's not `describe-function' which adds a
> "mystery argument", but the docstring for the modes, that sometimes
> lacks the relevant info.

Maybe the define-minor-mode should always add to the docstring that it
is a minor mode and provide links between the minor mod variable and
the minor mode function?